Name: python-module-tionix_vdi_client
Version: 1.29.17
Release: alt0.M70C.1
Summary: Tionix Virtual Desktop Infrastructure Client
Epoch: 1
Group: Development/Python
License: non-exclusive
Url: http://tionix.ru/
Source0: %name-%version.tar

BuildArch: noarch

BuildRequires: python-devel
BuildRequires: python-module-setuptools python-module-setuptools-tests
BuildRequires: python-module-pbr >= 1.8
BuildRequires: python-module-sphinx

Requires: python-module-pyscard
Requires: python-modules-tkinter
Requires: python-module-pyasn1

%description
Tionix Virtual Desktop Infrastructure Client

%prep
%setup

# Remove bundled egg-info
rm -rf *.egg-info

%build
mkdir -pv build/lib/
cp -rv tionix_vdi_client build/lib/

%install
%python_install

%files
%_bindir/tionix_vdi_client
%python_sitelibdir/*

%changelog
* Mon Dec 24 2018 Trubach Sergey <trubach@altlinux.org> 1:1.29.17-alt0.M70C.1
- Fixed additional revealing some passwords in diagnostic

* Wed Dec 12 2018 Trubach Sergey <trubach@altlinux.org> 1:1.29.16-alt0.M70C.1
- Fixed revealing some passwords in diagnostic according to the requirement of regulators for 1 class GIS

* Thu Nov 22 2018 Trubach Sergey <trubach@altlinux.org> 1:1.29.13-alt0.M70C.1
- Add some new features

* Fri Oct 26 2018 Trubach Sergey <trubach@altlinux.org> 1:1.29.12-alt0.M70C.1
- Fixed error of smart card authentification according to the requirement of regulators for 1 class GIS

* Tue Jul 17 2018 Trubach Sergey <trubach@altlinux.org> 1:1.29.11-alt0.M70C.1
- Fixed revealing some passwords in debug logs

* Fri Jul 06 2018 Trubach Sergey <trubach@altlinux.org> 1:1.29.10-alt0.M70C.1
- Fixed revealing some passwords in debug logs

* Mon Jun 04 2018 Trubach Sergey <trubach@altlinux.org> 1:1.29.7-alt0.M70C.1
- Fixing of user password security policy (additional password complexity validation) according to the requirement of regulators for 1 class GIS

* Thu May 31 2018 Trubach Sergey <trubach@altlinux.org> 1:1.29.5-alt0.M70C.2
- Add epoch for version

* Thu May 31 2018 Trubach Sergey <trubach@altlinux.org> 1.29.5-alt0.M70C.1
- Add new version 1.29.5

* Thu Mar 01 2018 Trubach Sergey <trubach@altlinux.org> 1.29.4-alt0.M70C.1
- Add new version 1.29.4
- New requires

* Tue Jan 23 2018 Trubach Sergey <trubach@altlinux.org> 1.29.3-alt0.M70C.1
- New version 1.29.3
- New requires

* Mon Oct 30 2017 Lenar Shakirov <snejok@altlinux.ru> 1.27.0-alt0.M70C.1
- New version 1.27.0

* Tue Sep 19 2017 Lenar Shakirov <snejok@altlinux.ru> 1.25.0-alt0.M70C.1
- New version 1.25.0

* Mon Jun 05 2017 Lenar Shakirov <snejok@altlinux.ru> 1.20.0-alt0.M70C.1
- New version 1.20.0

* Fri May 26 2017 Lenar Shakirov <snejok@altlinux.ru> 1.19.0-alt0.M70C.1
- New version 1.18.0
- Don't use python_build macros

* Mon May 22 2017 Lenar Shakirov <snejok@altlinux.ru> 1.18.0-alt0.M70C.1
- New version 1.18.0

* Thu Apr 13 2017 Lenar Shakirov <snejok@altlinux.ru> 1.17.0-alt0.M70C.1
- New version 1.17.0

* Wed Mar 15 2017 Lenar Shakirov <snejok@altlinux.ru> 1.15.0-alt0.M70C.1
- New version 1.15.0

* Mon Feb 27 2017 Lenar Shakirov <snejok@altlinux.ru> 1.14.1.dev7-alt0.M70C.1
- 1.14.1.dev7
- Requires: python-modules-tkinter added

* Tue Dec 13 2016 Lenar Shakirov <snejok@altlinux.ru> 1.0.0-alt0.M70C.1
- Initial build for ALT
